@charset "utf-8";

@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400;500;600;700&family=Kiwi+Maru:wght@300;400;500&family=Noto+Sans+JP:wght@400;700&family=Noto+Serif+JP:wght@400;700&display=swap');


/*全体設定*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Noto Sans JP', sans-serif;
    color: #333333;

}

html {
    font-size: 100%;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
}

.wrapper {
    max-width: 960px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-bottom: 150px;
}

header .wrapper {
    margin-bottom: 0%;
}

.section-title {
    color: #13a4bb;
    display: inline-block;
    font-size: 2rem;
    margin-bottom: 100px;
    margin-top: 100px;
    border-bottom: 4px solid;
    border-top: 4px solid;
    border-color: #ffe254f6;

}

.content-title {
    font-size: 1em;
    margin: 20px;
    color: #13a4bb;
}

.title {
    color: #13a4bb;
    margin-bottom: 1.5rem;
}

/* ヘッダー設定 */

header {
    position: sticky;
    /*更に重なり順を上位にくるように指定*/
    z-index: 999;
    background-color: rgba(255, 255, 255, .5);
    top: 0;
    left: 0;
    right: 0;
}

header .wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 15px;
}

header h1 a {
    color: #13a4bb;
    background-color: #ffe565f6;
    border-radius: 60px 5px;
    padding: 0 1rem;
}

header nav ul {
    display: flex;
    padding: 10px 0;
}

header li {
    margin-left: 30px;
}

header li a {
    color: #13a4bb;
    border-top: 2px solid #ffe254f6;
    border-bottom: 2px solid #ffe254f6;
    font-weight: 800;
}

header li a:hover {
    opacity: 0.7;
}

/*Gナビゲーションのドロップダウンメニュー*/


/*ハンバーガーメニュー＊/
/*ボタン*/

.site-header-navbtn {
    display: none;
    position: fixed;
    top: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    background: none;
    border: none;
    border-radius: 10%;
    cursor: pointer;
    z-index: 1;
    background-color: #fafafa;
}

.site-header-navbtn span,
.site-header-navbtn::before,
.site-header-navbtn::after {
    width: 30px;
    height: 2px;
    background-color: #333333;
    position: absolute;
    top: 50%;
    left: 5px;
    transition: transform .5s, opacity .5s;

}

.site-header-navbtn::before,
.site-header-navbtn::after {
    content: '';
}

.site-header-navbtn::before {
    transform: translateY(-8px);
}

.site-header-navbtn::after {
    transform: translateY(8px);
}

body.is-nav-open .site-header-navbtn span {
    transform: scaleX(0);
}

body.is-nav-open .site-header-navbtn::before {
    transform: translateY(0) rotate(45deg);
}

body.is-nav-open .site-header-navbtn::after {
    transform: translateY(0) rotate(-45deg);
}

/* メインビジュアル */
main {
    margin-top: 0;
}

.mainvisual {
    margin-bottom: 50px;
    margin-top: 0;
    position: relative;
}

.mainvisual img {
    display: block;
    width: 100%;
    height: 750px;
    /* はみ出た部分はトリミング */
    object-fit: cover;
}


/* ABOUT */
#about .content {
    display: flex;
    justify-content: center;
    align-items: center;
}

#about img {
    width: 300px;
    height: 300px;
    /* 角を整えて丸く成形する */
    border-radius: 50%;
    /* 画像の右側に余白を置き、テキストとの距離を保つ */
    margin-right: 100px;
}

#about .text {
    color: #333333;
    text-align: left;
    opacity: 0.8;
}

#about .text span {
    font-weight: bold;
    color: #13a4bb;
    background: linear-gradient(transparent 60%, #ffe254f6 60%);
}

/* SKILL */
#skills .wrapper {
    margin-top: 120px;
    margin-bottom: 30px;

}

#skills ul {
    display: flex;
    justify-content: space-between;
}

#skills li {

    width: 32%;
    padding: 1em;
    background-color: #ffe565f6
}

#skills p {
    color: #333333;
    opacity: 0.9;
}

.content-title {
    font-size: 1rem;
    margin: 20px;
    color: #333333;
}

#skills li img {
    height: 370px;
    width: 350px;
    object-fit: cover;
}

/* Works */

.material-symbols-outlined {
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 48
}

#web_site ul {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1rem;
    grid-template-rows: 380px 380px;
    height: auto;
    grid-template-areas:
        "areaA areaB areaC"
        " areaD";
}

#banner ul {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
    grid-gap: 1rem;
    grid-template-rows: 100% 100%;
    height: auto;
    grid-template-areas:
        "areaE areaF areaG";
}

#design ul {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1rem;
    grid-template-rows: 100%;
    height: auto;
    grid-template-areas:
        "areaH areaI areaJ"
    ;
}

#works li {
    padding: 1em;
    background-color: #ffe254f6
}

.works-text {
    text-align: center;
    margin: 0 20px 20px 0;
}

.title span {
    color: #13a4bb;
    background: linear-gradient(transparent 60%, #ffe254f6 60%);
}

.design ul {
    display: flex;
    justify-content: space-between;
}

/* フッター */
footer {
    padding: 20px 30px;
    text-align: center;
    background-color: #ffe254f6;

}

/*ページのトップに移動する*/
.pagetop {
    width: 50px;
    height: 50px;
    position: fixed;
    z-index: 2000;
    right: 30px;
    bottom: 70px;
    background-color: #ffc004f6;
    text-align: center;
    line-height: 50px;
    font-size: 1rem;
    font-weight: 700;
    cursor: pointer;
    opacity: .8;
    border-radius: 50%;
}

/*TOPへ戻るボタンの中の文字*/
.ri-arrow-up-line {
    font-style: normal;
    color: #13a4bb;
}

.pagetop:hover {
    opacity: .5;
}

/* SP */
@media screen and (max-width:599px) {
    .wrapper {
        margin-bottom: 100px;
    }

    header .wrapper,
    .wrapper p {
        margin-left: 1rem;
        margin-right: 1rem;
    }

    .mainvisual img {
        height: calc(50vh - 60px);
        margin-top: 0;
        object-fit: cover;
    }


    #about .content {
        flex-direction: column;

    }

    #about img {
        margin: auto;
        margin-bottom: 3rem;

    }

    #about .text {
        text-align: center;
    }

    #skills ul {
        flex-direction: column;
    }

    #photoP ul {
        flex-direction: column;
    }

    #skills li {
        width: 100%;
        margin-bottom: 2rem;
    }

    #photoP li {
        width: 100%;
        margin-bottom: 2rem;
    }

    #works ul {
        grid-template-columns: 1fr;
        display: flex;
        flex-direction: column;
        list-style: none;
        padding: 1rem;
    }

    #works li img {
        object-fit: fill;
    }

    .itemG {
        grid-area: auto;
    }

}


@media screen and (max-width: 767px) {

    /*ハンバーガーメニュー*/
    /*ボタン*/
    .site-header-navbtn {
        display: block;
    }

    /*ナビゲーション*/
    .site-header-nav {
        position: fixed;
        width: 100%;
        height: 100%;
        right: 0;
        top: 0;
        background-color: #ffe254f6;
        transform: translateX(100%);
        transition: transform .6s;
    }

    body.is-nav-open .site-header-nav {
        transform: translateX(0);
    }

    .site-header-nav ul {
        height: 100%;
        flex-direction: column;
        justify-content: center;
        text-align: center;
    }

    .site-header-nav ul li {
        margin-right: 0;
        margin-left: 0;
        margin-bottom: 1.5em;
    }

    .site-header-nav ul li a {
        font-size: 1.4rem;
    }
}